## Class Class

    java.lang.Object
      |
      +--Class

public class Class
extends java.lang.Object

Field Summary
`private ClassBody` `body`
`private ClassDeclId` `cdid`
`private Block` `class_block`
`private Class` `java`
`private java.util.Hashtable` `parahash`
`private de.dhbwstuttgart.typeinference.Menge` `paralist`
`private Status` `status`
`UsedId` `superclassid`
`de.dhbwstuttgart.typeinference.Menge` `vParaOrg`

Constructor Summary
`Class()`

Method Summary
`void` `codegen(boolean system_out)`
`de.dhbwstuttgart.typeinference.Menge` `complete_paralist(boolean ext)`
`boolean` `does_Class_extend()`
`Block` `get_class_block()`
`ClassBody` `get_ClassBody()`
`java.lang.String` `get_classname()`
`java.util.Hashtable` `get_ParaHash()`
`de.dhbwstuttgart.typeinference.Menge` `get_ParaList()`
`java.lang.String` `get_Superclass_Name()`
`java.lang.String` `is_member(java.lang.String var)`
`void` `para_check(de.dhbwstuttgart.typeinference.Menge classlist, boolean ext)`
`(package private) static void` `print_rec(java.util.Hashtable ht)`
`(package private) static void` `print_rec(java.lang.String st, java.util.Hashtable ht)`
`(package private) static void` `print_rec(java.lang.String st, de.dhbwstuttgart.typeinference.Menge v)`
`(package private) static void` `print_rec(de.dhbwstuttgart.typeinference.Menge v)`
`void` `sc_check_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist, java.util.Hashtable childhash, boolean ext)`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classlist, boolean ext)`
`void` `set_class_block(Block block)`
`void` `set_ClassBody(ClassBody body)`
`void` `set_ClassDeclId(ClassDeclId cdid)`
`void` `set_ParaHash(java.util.Hashtable hash)`
`void` `set_ParaList(de.dhbwstuttgart.typeinference.Menge para)`
`void` `set_Status(Status status)`
`void` `set_UsedId(UsedId uid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    private Status status

### superclassid

    public UsedId superclassid

### body

    private ClassBody body

### java

    private Class java

### cdid

    private ClassDeclId cdid

### class_block

    private Block class_block

### paralist

    private de.dhbwstuttgart.typeinference.Menge paralist

### parahash

    private java.util.Hashtable parahash

### vParaOrg

    public de.dhbwstuttgart.typeinference.Menge vParaOrg

Constructor Detail

### Class

    public Class()

Method Detail

### para_check

    public void para_check(de.dhbwstuttgart.typeinference.Menge classlist,
                           boolean ext)
                    throws SCClassException

    `SCClassException`

### complete_paralist

    public de.dhbwstuttgart.typeinference.Menge complete_paralist(boolean ext)

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                         boolean ext)
                  throws SCClassException

    `SCClassException`

### sc_check_for_extended_classes

    public void sc_check_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist,
                                              java.util.Hashtable childhash,
                                              boolean ext)

### codegen

    public void codegen(boolean system_out)
                 throws JVMCodeException

    `JVMCodeException`

### get_classname

    public java.lang.String get_classname()

### set_Status

    public void set_Status(Status status)

### set_UsedId

    public void set_UsedId(UsedId uid)

### set_ClassBody

    public void set_ClassBody(ClassBody body)

### set_class_block

    public void set_class_block(Block block)

### set_ClassDeclId

    public void set_ClassDeclId(ClassDeclId cdid)

### is_member

    public java.lang.String is_member(java.lang.String var)

### get_Superclass_Name

    public java.lang.String get_Superclass_Name()

### get_ClassBody

    public ClassBody get_ClassBody()

### get_class_block

    public Block get_class_block()

### does_Class_extend

    public boolean does_Class_extend()

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge para)

### get_ParaList

    public de.dhbwstuttgart.typeinference.Menge get_ParaList()

### set_ParaHash

    public void set_ParaHash(java.util.Hashtable hash)

### get_ParaHash

    public java.util.Hashtable get_ParaHash()

### print_rec

    static void print_rec(java.util.Hashtable ht)

### print_rec

    static void print_rec(de.dhbwstuttgart.typeinference.Menge v)

### print_rec

    static void print_rec(java.lang.String st,
                          java.util.Hashtable ht)

### print_rec

    static void print_rec(java.lang.String st,
                          de.dhbwstuttgart.typeinference.Menge v)